RIFLE problem in 0.0.11 (PLEASE READ)

OpenSpades is an open source alternative client for AoS Classic and beyond! Runs on Windows, Mac, and Linux. Created by yvt.
Compatible with AoS Classic.
17 posts Page 1 of 2
SWayKills
Deuced Up
Posts: 33
Joined: Fri Nov 29, 2013 10:35 am


I am not the only player having the issue I am about to describe, there is actually quite a large number.

When adding a rifle mod to OS 0.0.11, the sites do not attach to the weapon (in either down or aimed positions). I understand that many of the mods were made pre 0.0.9 and may just not work now. I (and many others) are curious, are there any known working rifle mods for this version? OR, can anyone please share with us the original rifle files for the .pak? I backed up the .pak file in case this would happen but cannot find it for some reason. We all wanted mods, but I think we will all be happy with the original since it actually works.

With the mods... I have added the scope file from the mod. Then deleted the scope file since it was not in the original just to make sure. I deleted the site files too and replaced them, they just made the rifle completely useless.

The old saying goes in television, "If 10 people complain then 1000 people felt that way". I have a feeling it is the same here. We just need useful help that doesn't include a useless (for the rifle) reflex file, a "did you delete/add this" comment, or any condescending remarks that we are just stupid or noobs. I have been here since the beginning of AoS and then OS (this is a new account because I wanted a new name), I have modded my little heart out, but now some of us are having a real problem. Please help.
1Shot1Kill
Modder
Modder
Posts: 1708
Joined: Sun Mar 02, 2014 5:53 pm


Try using my mods, click on my signature, they are compatible for 0.0.11.
Last edited by 1Shot1Kill on Sun Apr 20, 2014 10:03 pm, edited 1 time in total.
Jdrew
Mapper
Mapper
Posts: 4808
Joined: Tue Oct 30, 2012 10:48 pm


Checking the wiki is always a good idea. The problem is that custom scripts are needed. Look at the link below for more info: https://github.com/yvt/openspades/wiki/Modding-weapons
SWayKills
Deuced Up
Posts: 33
Joined: Fri Nov 29, 2013 10:35 am


Thank you Jdrew. I did check the wiki but to could not figure out how to download said script. I am in no way an over computer literate person, any additional help would be appreciated. I see the script in your link, but don't know how to use it without a download file. Keep in mind that I love AoS and OS but I listen to music like Johnny Cash lol, so I need a little more help.

EDIT- I prefer to not use the .png files
bullets
League Participant
League Participant
Posts: 902
Joined: Sun Aug 18, 2013 8:01 am


1Shot1Kill wrote:
Try using my mods, click on my signature, they are compatible for 0.0.11.
Stop advertising your mods everywhere when a person has a problem.
SWayKills
Deuced Up
Posts: 33
Joined: Fri Nov 29, 2013 10:35 am


THANK YOU BULLETS! Some people just can't help but be douche bags!
tungdil
League Participant
League Participant
Posts: 517
Joined: Mon May 06, 2013 4:28 pm


I would really like to help you but i don't really understand what the problem is.
Could you exactly tell me what you want to do (make your own mods, need working mods, need to fix an existing mod ect.), what you did and maybe post an ingame screenshot ?
Important: Be aware that the modding system has changed from 0.0.9 to 0.10.
1Shot1Kill
Modder
Modder
Posts: 1708
Joined: Sun Mar 02, 2014 5:53 pm


bullets wrote:
1Shot1Kill wrote:
Try using my mods, click on my signature, they are compatible for 0.0.11.
Stop advertising your mods everywhere when a person has a problem.
This is my first time I have done this, also I am helping the OP as he wants 0.0.11 compatible mods, and I have given him some.
SWayKills wrote:
Some people just can't help but be douche bags!
bullets wrote:
How the fuck does that make me a douchebag? If anything that comment makes you one.
tungdil
League Participant
League Participant
Posts: 517
Joined: Mon May 06, 2013 4:28 pm


Spoiler:
1Shot1Kill wrote:
Try using my mods, click on my signature, they are compatible for 0.0.11.
bullets wrote:
1Shot1Kill wrote:
Try using my mods, click on my signature, they are compatible for 0.0.11.
Stop advertising your mods everywhere when a person has a problem.
1Shot1Kill wrote:
bullets wrote:
1Shot1Kill wrote:
Try using my mods, click on my signature, they are compatible for 0.0.11.
Stop advertising your mods everywhere when a person has a problem.
This is my first time I have done this, also I am helping the OP as he wants 0.0.11 compatible mods, and I have given him some.
SWayKills wrote:
Some people just can't help but be douche bags!
bullets wrote:
How the fuck does that make me a douchebag? If anything that comment makes you one.
1Shot1Kill wrote:
Try using my mods, click on my signature, they are compatible for 0.0.11.
Hey guys look at this: http://buildandshoot.com/viewtopic.php?f=5&t=10833
I think these 3 posts are unnecessary.
1Shot1Kill
Modder
Modder
Posts: 1708
Joined: Sun Mar 02, 2014 5:53 pm


tungdil wrote:
Spoiler:
1Shot1Kill wrote:
Try using my mods, click on my signature, they are compatible for 0.0.11.
bullets wrote:
1Shot1Kill wrote:
Try using my mods, click on my signature, they are compatible for 0.0.11.
Stop advertising your mods everywhere when a person has a problem.
1Shot1Kill wrote:
bullets wrote:
1Shot1Kill wrote:
Try using my mods, click on my signature, they are compatible for 0.0.11.
Stop advertising your mods everywhere when a person has a problem.
This is my first time I have done this, also I am helping the OP as he wants 0.0.11 compatible mods, and I have given him some.
SWayKills wrote:
Some people just can't help but be douche bags!
bullets wrote:
How the fuck does that make me a douchebag? If anything that comment makes you one.
1Shot1Kill wrote:
Try using my mods, click on my signature, they are compatible for 0.0.11.
Hey guys look at this: http://buildandshoot.com/viewtopic.php?f=5&t=10833
I think these 3 posts are unnecessary.
And? Your point is?
tungdil
League Participant
League Participant
Posts: 517
Joined: Mon May 06, 2013 4:28 pm


Could some mod clean this thread and delete all off-topic posts ?
1Shot1Kill
Modder
Modder
Posts: 1708
Joined: Sun Mar 02, 2014 5:53 pm


tungdil wrote:
Could some mod clean this thread and delete all off-topic posts ?
How are my posts off topic? They relate to what the OP is asking, some useful advice. Also you have failed to answer my last post on the thread. I never knew that helping someone would bring such negativity around here.
Jdrew
Mapper
Mapper
Posts: 4808
Joined: Tue Oct 30, 2012 10:48 pm


Shutup son. He said off topic posts, did he mention any names? No he didn't! Now calm all your buts off before someone gets hurt.
1Shot1Kill
Modder
Modder
Posts: 1708
Joined: Sun Mar 02, 2014 5:53 pm


Jdrew wrote:
Shutup son. He said off topic posts, did he mention any names? No he didn't! Now calm all your buts off before someone gets hurt.
It was pretty obvious who he was referring to...
SWayKills
Deuced Up
Posts: 33
Joined: Fri Nov 29, 2013 10:35 am


Anyway, I was having the issue this guy is having-
youtube.com/watch?v=1zjvN58cNho

BUT, I worked it out using a mod from here- http://buildandshoot.com/viewtopic.php?f=76&t=10645

Got the M1, looks and works great. Thank all of you guys for trying to help me out.

1SHOT1KILL, I apologize. I was out of line for calling you that. I was pissed off about a lot of stuff and at that point I had become irritated with you from the other thread, but what I said was uncalled for. I read most posts made on the forum and it did seem like you were whoring out your pack any chance you had. I was even going to download your rifle but the download was nowhere to be seen.
17 posts Page 1 of 2
Return to “OpenSpades Discussion”

Who is online

Users browsing this forum: No registered users and 2 guests